summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 4c84f0d)
raw | patch | inline | side by side (parent: 4c84f0d)
author | Arjen Laarhoven <arjen@yaph.org> | |
Fri, 6 Apr 2007 23:49:03 +0000 (01:49 +0200) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Sat, 7 Apr 2007 04:19:28 +0000 (21:19 -0700) |
In the test 'compare delta flavors', /usr/bin/stat is used to get file size.
This isn't portable. There already is a dependency on Perl, use its '-s'
operator to get the file size.
Signed-off-by: Arjen Laarhoven <arjen@yaph.org>
Signed-off-by: Junio C Hamano <junkio@cox.net>
This isn't portable. There already is a dependency on Perl, use its '-s'
operator to get the file size.
Signed-off-by: Arjen Laarhoven <arjen@yaph.org>
Signed-off-by: Junio C Hamano <junkio@cox.net>
t/t5300-pack-object.sh | patch | blob | history |
diff --git a/t/t5300-pack-object.sh b/t/t5300-pack-object.sh
index 35e036a86465ce066b3e3a5f98c769fba6cd4276..083095f7f3a6720836f135835091e6d27d18617a 100755 (executable)
--- a/t/t5300-pack-object.sh
+++ b/t/t5300-pack-object.sh
done'
cd "$TRASH"
-test_expect_success \
- 'compare delta flavors' \
- 'size_2=`stat -c "%s" test-2-${packname_2}.pack` &&
- size_3=`stat -c "%s" test-3-${packname_3}.pack` &&
- test $size_2 -gt $size_3'
+test_expect_success 'compare delta flavors' '
+ perl -e '\''
+ defined($_ = -s $_) or die for @ARGV;
+ exit 1 if $ARGV[0] <= $ARGV[1];
+ '\'' test-2-$packname_2.pack test-3-$packname_3.pack
+'
rm -fr .git2
mkdir .git2